# TypeBuild

TypeBuild is a powerful Python package that empowers domain experts to develop their own frontend with just natural language input. This tool is designed to help users perform data analysis and visualization with tabular data (csv, xlsx, .db, .sqlite, .parquet). It also allows users to upload and interact with text documents for summarization, classification, and Q&A.

TypeBuild leverages the power of OpenAI's GPT models, but also provides the flexibility for users to upload their own llm function. Users can create projects and new views using the chat feature in the tool.

## Installation

You can install TypeBuild using pip:

```bash
pip install typebuild
```

After installation, you can run the command 'typebuild' from your command line to launch the Streamlit app.

## Features

- **Data Analysis and Visualization**: Analyze and visualize tabular data from various formats including csv, xlsx, .db, .sqlite, .parquet.
- **Document Interaction**: Upload and interact with text documents for tasks such as summarization, classification, and Q&A.
- **Customizable AI Models**: Use OpenAI's GPT models or upload your own llm function.
- **Project Creation**: Create and manage projects using the chat feature in the tool.

## Usage

After installing the package, you can launch the Streamlit app by running:

```bash
typebuild
```

This will open a new browser window where you can start creating projects, uploading data, and interacting with your documents.

## Contributing

We welcome contributions to TypeBuild. Please see our [Contributing Guide](CONTRIBUTING.md) for more details.

## License

Shield: [![CC BY-NC-SA 4.0][cc-by-nc-sa-shield]][cc-by-nc-sa]

This work is licensed under a
[Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License][cc-by-nc-sa].

[![CC BY-NC-SA 4.0][cc-by-nc-sa-image]][cc-by-nc-sa]

[cc-by-nc-sa]: http://creativecommons.org/licenses/by-nc-sa/4.0/
[cc-by-nc-sa-image]: https://licensebuttons.net/l/by-nc-sa/4.0/88x31.png
[cc-by-nc-sa-shield]: https://img.shields.io/badge/License-CC%20BY--NC--SA%204.0-lightgrey.svg

## Support

If you encounter any issues or have any questions about TypeBuild, please open an issue on our [GitHub page](https://github.com/project-typebuild/typebuild).

## Acknowledgements

We would like to thank the OpenAI team for their GPT models which have been instrumental in the development of TypeBuild.


